#include "spawn.h"

#include "..\algorithms.h"

void botInfo::gotHelp(Player *p, Command *c)
{
	// List commands

	if (!*c->final)
	{
		switch (p->access)
		{
		case OP_Duke:
		case OP_Baron:
		case OP_King:
		case OP_Emperor:
		case OP_RockStar:
		case OP_Q:
		case OP_God:
		case OP_Owner:
			{	// Owner-level commands
//				sendPrivate(p, "Ext: ");
			}
		case OP_SysOp:
			{	// SysOp-level commands
//				sendPrivate(p, "Ext: ");
			}
		case OP_SuperModerator:
			{	// SuperModerator-level commands
//				sendPrivate(p, "Ext: ");
			}
		case OP_Moderator:
			{	// Moderator-level commands
				sendPrivate(p,"Rabbit Bot: !RabbitBot [ON/OFF] !makerabbit <PlayerName>");
			}
		case OP_Limited:
			{	// Limited-level commands
			}
		case OP_Player:
			{	// Player-level commands
			}
		}

		return;
	}

	// Specific command help

	switch (p->access)
	{
	case OP_Duke:
	case OP_Baron:
	case OP_King:
	case OP_Emperor:
	case OP_RockStar:
	case OP_Q:
	case OP_God:
	case OP_Owner:
		{	// Owner-level commands
		}
	case OP_SysOp:
		{	// SysOp-level commands
		}
	case OP_SuperModerator:
		{	// SuperModerator-level commands
		}
	case OP_Moderator:
		{	// Moderator-level commands
		}
	case OP_Limited:
		{	// Limited-level commands
		}
	case OP_Player:
		{	// Player-level commands
		}
	}
}

void botInfo::gotCommand(Player *p, Command *c)
{
	if (!p) return;
	if (!c) return;

	switch (p->access)
	{
	case OP_Duke:
	case OP_Baron:
	case OP_King:
	case OP_Emperor:
	case OP_RockStar:
	case OP_Q:
	case OP_God:
	case OP_Owner:
		{	// Owner-level commands
		}
	case OP_SysOp:
		{	// SysOp-level commands
		}
	case OP_SuperModerator:
		{	// SuperModerator-level commands
		}
	case OP_Moderator:
		{	// Moderator-level commands
			if(c->check("rabbitbot"))
			{
				String Message;
				if(c->final[0]==NULL)
				{
					Message="Rabbit Game is Currently: ";
					if(Enabled)
					{Message+="ON";}
					else
					{Message+="OFF";}
				}
				else 
				{
					if(c->checkParam("on"))
					{
						
						if(Enabled)
						{Message="The rabbit bot is already enabled";}
						else
						{
							Message="The rabbit bot has been enabled successfully";
							Status=true;
						}
					}
					else 
					{
						if(c->checkParam("off"))
						{
							if(Enabled)
							{
								UnPrizeRabbit();
								sendPublic("*arena Rabbit Turned off by operator :(");
								Message="The rabbit bot has been disabled";
								Status=false;
								theRabbit=NULL;
								if(Status)
								{sendPublic("*timer 0");}
							}
							else
							{Message="The rabbit bot is already disabled";}
						}
						else 
						{Message="Illegal Command! Format- !rabbitbot [ON/OFF]";}
					}
				}
				sendPrivate(p,Message);
			}
			else if(c->check("makerabbit"))
			{
				String Message;
				if(Status && Enabled)
				{
					if(c->final[0])
					{
						for(_listnode <Player> *pl=playerlist->head;pl;pl=pl->next)
						{
							if(CMPSTR(c->final,pl->item->name))
							{break;}
						}

						if(pl!=NULL)
						{
							Message="*arena Rabbit Set by ";
							Message+=p->name;
							sendPublic(Message);
							UnPrizeRabbit();
							SetRabbit(pl->item);

							Message="Rabbit set complete!";
						}
						else
						{Message="That player was not found in the arena";}
					}
					else
					{Message="You must specify a player\'s name! Ex- !makerabbit 50% Packetloss";}
				}
				else
				{Message="The rabbit game must be enabled and inprogress";}

				sendPrivate(p,Message);
			}
		}
	case OP_Limited:
		{	// Limited-level commands
		}
	case OP_Player:
		{	// Player-level commands
			if (c->check("about"))
			{sendPrivate(p, "Rabbit Bot by 50% Packetloss (FiftyPacketloss@socal.rr.com)");}
		}
	}
}

void botInfo::gotRemoteHelp(char *p, Command *c, Operator_Level l)
{
	// List commands

	if (!*c->final)
	{
		switch (l)
		{
		case OP_Duke:
		case OP_Baron:
		case OP_King:
		case OP_Emperor:
		case OP_RockStar:
		case OP_Q:
		case OP_God:
		case OP_Owner:
			{	// Owner-level commands
			}
		case OP_SysOp:
			{	// SysOp-level commands
			}
		case OP_SuperModerator:
			{	// SuperModerator-level commands
			}
		case OP_Moderator:
			{	// Moderator-level commands
			}
		case OP_Limited:
			{	// Limited-level commands
			}
		case OP_Player:
			{	// Player-level commands
			}
		}

		return;
	}

	// Specific command help

	switch (l)
	{
	case OP_Duke:
	case OP_Baron:
	case OP_King:
	case OP_Emperor:
	case OP_RockStar:
	case OP_Q:
	case OP_God:
	case OP_Owner:
		{	// Owner-level commands
		}
	case OP_SysOp:
		{	// SysOp-level commands
		}
	case OP_SuperModerator:
		{	// SuperModerator-level commands
		}
	case OP_Moderator:
		{	// Moderator-level commands
		}
	case OP_Limited:
		{	// Limited-level commands
		}
	case OP_Player:
		{	// Player-level commands
		}
	}
}

void botInfo::gotRemote(char *p, Command *c, Operator_Level l)
{
	if (!c) return;

	switch (l)
	{
	case OP_Duke:
	case OP_Baron:
	case OP_King:
	case OP_Emperor:
	case OP_RockStar:
	case OP_Q:
	case OP_God:
	case OP_Owner:
		{	// Owner-level commands
		}
	case OP_SysOp:
		{	// SysOp-level commands
		}
	case OP_SuperModerator:
		{	// SuperModerator-level commands
		}
	case OP_Moderator:
		{	// Moderator-level commands
		}
	case OP_Limited:
		{	// Limited-level commands
		}
	case OP_Player:
		{	// Player-level commands
		}
	}
}
